window.onload = function() {
    var cvs = document.getElementById("cvs");
    var ctx = cvs.getContext("2d");
    var h, w, speed = 0.01, tx = 0, ty = 0;
    
    this.onresize = function() {
        h = window.innerHeight, w = window.innerWidth;
        cvs.setAttribute("height", h);
        cvs.setAttribute("width", w);
    };
    this.onresize.call();
    this.onmousemove = function(event) {
    	mevent = event;
    };
/*		if(this.event.clientX > w * 0.9) {
			tx++;
		} else if(this.event.clientX < w * 0.1) {
			tx--;
		}
		if(this.event.clientY > h * 0.9) {
			ty++;
		} else if(this.event.clientY < h * 0.1) {
			ty--;
		}*/
    var cx = w / 2,
        cy = h / 2;
   	var	mevent = {clientX:cx,clientY:cy};
    var draw = function() {
        ctx.save();
        ctx.fillStyle = "#000";
        ctx.fillRect(0, 0, w, h);
		if(mevent.clientX > w * 0.85) {
			tx++;
			if(mevent.clientX > w * 0.9) {
				tx++;
				if(mevent.clientX > w * 0.95) {
					tx++;
				}
			}
		} else if(mevent.clientX < w * 0.15) {
			tx--;
			if(mevent.clientX < w * 0.1) {
				tx--;
				if(mevent.clientX < w * 0.05) {
					tx--;
				}
			}
		}
		if(mevent.clientY > h * 0.85) {
			ty++;
			if(mevent.clientY > h * 0.9) {
				ty++;
				if(mevent.clientY > h * 0.95) {
					ty++;
				}
			}
		} else if(mevent.clientY < h * 0.15) {
			ty--;
			if(mevent.clientY < h * 0.1) {
				ty--;
				if(mevent.clientY < h * 0.05) {
					ty--;
				}
			}
		}
		ctx.translate(tx, ty);
        var make = function(cx, cy, offset, rad, speedSlope, color) {
            speedSlope = speedSlope > 0 ? speedSlope : 1;
            ctx.beginPath();
            ctx.fillStyle = color;
            var x = cx + offset * Math.sin(speed * speedSlope);
            var y = cy + offset * Math.cos(speed * speedSlope);
            ctx.arc(x, y, rad, 0, Math.PI * 2);
            ctx.fill();
            ctx.closePath();
            return {
                x: x,
                y: y,
                rad: rad
            };
        };

        var sun = make(cx, cy, 0, 60, 0, "#ff0");

        var mercury = make(sun.x, sun.y, sun.rad + 50, 6, 4, "#4F685A");

        var venus = make(sun.x, sun.y, sun.rad + 105, 15, 2, "#9C5838");

        var earth = make(sun.x, sun.y, sun.rad + 260, 14, 0, "#285A7D");

        var moon = make(earth.x, earth.y, earth.rad + 25, 5, 36.5, "#B2AFAE");

        var mars = make(sun.x, sun.y, sun.rad + 400, 7, .5, "#A63F0E");

        speed += 0.01;

        ctx.restore();
        setTimeout(draw, 1000 / 32);
    };
    draw();
};
